Bug 434401 - sbcl borked on f9/gcc43
sbcl borked on f9/gcc43
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: sbcl (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On: 436131 436799 444178
Blocks: gcc43rebuildfail
  Show dependency treegraph
 
Reported: 2008-02-22 11:09 EST by Jesse Keating
Modified: 2013-01-09 22:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-08 00:40:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2008-02-22 11:09:16 EST
This is an automatically filed bug for a failed rebuild attempt for GCC 4.3.

http://fedoraproject.org/wiki/JesseKeating/gcc43MassRebuildProposal

Please verify why this build failed and fix it.
http://koji.fedoraproject.org/koji/taskinfo?taskID=444164
Exit code was 1, check the build.log for the failed buildArch task.
Comment 1 Jon Stanley 2008-03-01 15:21:40 EST
scratch build 482744
Comment 2 Jon Stanley 2008-03-02 01:10:19 EST
; compiling (DEFINE-MOVE-VOP MOVE-FROM-DOUBLE ...)unhandled
SB-SYS:MEMORY-FAULT-ERROR in thread #<SB-THREAD:THREAD "initial thread" {A714909}>:
  Unhandled memory fault at #x0.

0: (SB-DEBUG:BACKTRACE 128 #<SYNONYM-STREAM :SYMBOL SB-SYS:*STDERR* {90B3F01}>)
1: (SB-DEBUG::DEBUGGER-DISABLED-HOOK
    #<SB-SYS:MEMORY-FAULT-ERROR {BEF46B1}>
    #<unavailable argument>)
2: (INVOKE-DEBUGGER #<SB-SYS:MEMORY-FAULT-ERROR {BEF46B1}>)
3: (INVOKE-DEBUGGER #<SB-SYS:MEMORY-FAULT-ERROR {BEF46B1}>)
4: (ERROR SB-SYS:MEMORY-FAULT-ERROR)
5: (SB-SYS:MEMORY-FAULT-ERROR)
6: (SB-SYS:MEMORY-FAULT-ERROR)
7: ("foreign function: #x805FD5C")
8: ("foreign function: #x805FFB8")

Comment 3 Rex Dieter 2008-03-06 15:29:04 EST
Confirmed on upstream sbcl ml, debian'ers are also seeing fatal problems on
gcc-4.3-derived systems.
Comment 4 Rex Dieter 2008-03-10 10:10:01 EDT
My most recent post to upstream ml:
"[Sbcl-devel] sbcl doesn't run on gcc-4.3 environment?"
http://sourceforge.net/mailarchive/forum.php?thread_name=fr3e81%242tj%241%40ger.gmane.org&forum_name=sbcl-devel
Comment 5 Rex Dieter 2008-03-10 10:21:12 EDT
gcc43/kernel bug? sbcl devs pointed me to:
"GCC 4.3.0 exposes a kernel bug"  http://lwn.net/Articles/272048/
(I'm not currently an lwn subscriber, so can't access the article, yet).
Comment 6 Rex Dieter 2008-03-10 10:22:52 EDT
See also possibly related cmucl issue, bug #434397
Comment 7 Rex Dieter 2008-04-25 13:26:20 EDT
sbcl/f9 builds in fedora buildsys using RHEL5 continue to fail,
http://koji.fedoraproject.org/koji/taskinfo?taskID=583155

I suspect they will continue to do so, until when/if the buildsys hosts' kernels
are patched (see related bug #444178)
Comment 8 Bug Zapper 2008-05-14 01:32:06 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Matt Domsch 2008-07-08 00:40:34 EDT
builds as of 2008-07-03, version 1.0.17-2.fc10.

Note You need to log in before you can comment on or make changes to this bug.